import * as React from 'react';
import type { DynamicRefForwardingComponent } from '@restart/ui/types';
import { type CollapseProps } from './Collapse';
export interface AccordionCollapseProps extends CollapseProps {
    /**
     * Element used to render the component.
     */
    as?: React.ElementType | undefined;
    /**
     * A key that corresponds to the toggler that triggers this collapse's expand or collapse.
     */
    eventKey: string;
    /**
     * @default 'accordion-collapse'
     */
    bsPrefix?: string | undefined;
}
/**
 * This component accepts all of [`Collapse`'s props](/docs/utilities/transitions#collapse-1).
 */
declare const AccordionCollapse: DynamicRefForwardingComponent<'div', AccordionCollapseProps>;
export default AccordionCollapse;
