import * as React from 'react';
import type { DynamicRefForwardingComponent } from '@restart/ui/types';
export interface BreadcrumbProps extends React.HTMLAttributes<HTMLElement> {
    /**
     * Element used to render the component.
     */
    as?: React.ElementType | undefined;
    /**
     * @default 'breadcrumb'
     */
    bsPrefix?: string | undefined;
    /**
     * ARIA label for the nav element
     * https://www.w3.org/TR/wai-aria-practices/#breadcrumb
     */
    label?: string | undefined;
    /**
     * Additional props passed as-is to the underlying `<ol>` element
     */
    listProps?: React.OlHTMLAttributes<HTMLOListElement> | undefined;
}
declare const _default: DynamicRefForwardingComponent<"nav", BreadcrumbProps> & {
    Item: DynamicRefForwardingComponent<"li", import("./BreadcrumbItem").BreadcrumbItemProps>;
};
export default _default;
