import type { DynamicRefForwardingComponent } from '@restart/ui/types';
import * as React from 'react';
import { type ButtonProps, type CommonButtonProps } from './Button';
export interface DropdownToggleProps extends Omit<ButtonProps, 'as'> {
    /**
     * Element used to render the component.
     *
     * @default {Button}
     */
    as?: React.ElementType | undefined;
    /**
     * @default 'dropdown-toggle'
     */
    bsPrefix?: string | undefined;
    /**
     * Renders a split button dropdown toggle.
     */
    split?: boolean;
    /**
     * To passthrough to the underlying button or whatever from DropdownButton
     * @private
     */
    childBsPrefix?: string;
}
type DropdownToggleComponent = DynamicRefForwardingComponent<'button', DropdownToggleProps>;
export type PropsFromToggle = Partial<Pick<React.ComponentPropsWithRef<DropdownToggleComponent>, CommonButtonProps>>;
declare const DropdownToggle: DropdownToggleComponent;
export default DropdownToggle;
