import * as React from 'react';
import { type ModalHandle } from '@restart/ui/Modal';
import type { BaseModalProps } from './types';
export type OffcanvasPlacement = 'start' | 'end' | 'top' | 'bottom';
export interface OffcanvasProps extends BaseModalProps {
    /**
     * @default 'offcanvas'
     */
    bsPrefix?: string | undefined;
    /**
     * Add an optional extra class name to .offcanvas-backdrop.
     */
    backdropClassName?: string | undefined;
    /**
     * Allow body scrolling while offcanvas is open.
     */
    scroll?: boolean | undefined;
    /**
     * Which side of the viewport the offcanvas will appear from.
     */
    placement?: OffcanvasPlacement | undefined;
    /**
     * Hide content outside the viewport from a specified breakpoint and down.
     */
    responsive?: 'sm' | 'md' | 'lg' | 'xl' | 'xxl' | string | undefined;
    [other: string]: any;
}
declare const _default: React.ForwardRefExoticComponent<Omit<OffcanvasProps, "ref"> & React.RefAttributes<ModalHandle>> & {
    Body: import("@restart/ui/types").DynamicRefForwardingComponent<"div", import("./OffcanvasBody").OffcanvasBodyProps>;
    Header: React.ForwardRefExoticComponent<import("./OffcanvasHeader").OffcanvasHeaderProps & React.RefAttributes<HTMLDivElement>>;
    Title: import("@restart/ui/types").DynamicRefForwardingComponent<"div", import("./OffcanvasTitle").OffcanvasTitleProps>;
};
export default _default;
