import * as React from 'react';
import { DynamicRefForwardingComponent } from '@restart/ui/types';
import type { Variant } from './types';
export interface SpinnerProps extends React.HTMLAttributes<HTMLElement> {
    /**
     * Element used to render the component.
     */
    as?: React.ElementType | undefined;
    /**
     * @default 'spinner'
     */
    bsPrefix?: string | undefined;
    /**
     * Changes the animation style of the spinner.
     */
    animation?: 'border' | 'grow' | undefined;
    /**
     * Component size variations.
     */
    size?: 'sm' | undefined;
    /**
     * The visual color style of the spinner
     *
     * @type {'primary' | 'secondary' | 'success' | 'danger' | 'warning' | 'info' | 'dark' | 'light' | undefined}
     */
    variant?: Variant | undefined;
    /**
     * An ARIA accessible role applied to the spinner component. This should generally be set to 'status'
     */
    role?: string | undefined;
}
declare const Spinner: DynamicRefForwardingComponent<'div', SpinnerProps>;
export default Spinner;
