import * as React from 'react';
import { type TabPaneProps } from './TabPane';
export interface TabProps extends Omit<TabPaneProps, 'title'> {
    /**
     * Content for the tab title.
     */
    title: React.ReactNode;
    /**
     * The disabled state of the tab.
     */
    disabled?: boolean | undefined;
    /**
     * Class to pass to the underlying nav link.
     */
    tabClassName?: string | undefined;
    /**
     * Object containing attributes to pass to underlying nav link.
     */
    tabAttrs?: Record<string, any> | undefined;
}
declare const _default: React.FC<TabProps> & {
    Container: {
        ({ transition, ...props }: import("./TabContainer").TabContainerProps): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Content: import("@restart/ui/types").DynamicRefForwardingComponent<"div", import("./TabContent").TabContentProps>;
    Pane: import("@restart/ui/types").DynamicRefForwardingComponent<"div", TabPaneProps>;
};
export default _default;
