import * as React from 'react';
import { TabsProps as BaseTabsProps } from '@restart/ui/Tabs';
import { type NavProps } from './Nav';
import type { TransitionType } from './helpers';
export interface TabsProps extends Omit<BaseTabsProps, 'transition'>, Omit<React.HTMLAttributes<HTMLElement>, 'onSelect' | 'role'>, NavProps {
    /**
     * Sets a default animation strategy for all children `<TabPane>`s.<tbcont
     *
     * Defaults to `<Fade>` animation, else use `false` to disable or a
     * react-transition-group `<Transition/>` component.
     */
    transition?: TransitionType | undefined;
}
declare const Tabs: React.FC<TabsProps>;
export default Tabs;
