import * as React from 'react';
import { type CloseButtonVariant } from './CloseButton';
export interface ToastHeaderProps extends React.HTMLAttributes<HTMLDivElement> {
    /**
     * @default 'toast-header'
     */
    bsPrefix?: string | undefined;
    /**
     * Provides an accessible label for the close
     * button. It is used for Assistive Technology when the label text is not
     * readable.
     */
    closeLabel?: string | undefined;
    /**
     * Sets the variant for close button.
     */
    closeVariant?: CloseButtonVariant | undefined;
    /**
     * Specify whether the Component should contain a close button
     */
    closeButton?: boolean | undefined;
}
declare const ToastHeader: React.ForwardRefExoticComponent<ToastHeaderProps & React.RefAttributes<HTMLDivElement>>;
export default ToastHeader;
