"use strict";
"use client";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = usePlaceholder;
var _clsx = _interopRequireDefault(require("clsx"));
var _ThemeProvider = require("./ThemeProvider");
var _useCol = _interopRequireDefault(require("./useCol"));
function usePlaceholder({
  animation,
  bg,
  bsPrefix,
  size,
  ...props
}) {
  bsPrefix = (0, _ThemeProvider.useBootstrapPrefix)(bsPrefix, 'placeholder');
  const [{
    className,
    ...colProps
  }] = (0, _useCol.default)(props);
  return {
    ...colProps,
    className: (0, _clsx.default)(className, animation ? `${bsPrefix}-${animation}` : bsPrefix, size && `${bsPrefix}-${size}`, bg && `bg-${bg}`)
  };
}
module.exports = exports.default;