import * as React from 'react';
import { type CloseButtonVariant } from './CloseButton';
export interface AbstractModalHeaderProps extends React.HTMLAttributes<HTMLDivElement> {
    /**
     * Provides an accessible label for the close
     * button. It is used for Assistive Technology when the label text is not
     * readable.
     */
    closeLabel?: string | undefined;
    /**
     * Sets the variant for close button.
     */
    closeVariant?: CloseButtonVariant | undefined;
    /**
     * Specify whether the Component should contain a close button
     */
    closeButton?: boolean | undefined;
    /**
     * A Callback fired when the close button is clicked. If used directly inside
     * a ModalContext, the onHide will automatically be propagated up
     * to the parent `onHide`.
     *
     * @type {(() => void) | undefined}
     */
    onHide?: (() => void) | undefined;
}
declare const AbstractModalHeader: React.ForwardRefExoticComponent<AbstractModalHeaderProps & React.RefAttributes<HTMLDivElement>>;
export default AbstractModalHeader;
