import * as React from 'react';
import type { DynamicRefForwardingComponent } from '@restart/ui/types';
import type { Color, Variant } from './types';
export interface BadgeProps extends React.HTMLAttributes<HTMLElement> {
    /**
     * Element used to render the component.
     */
    as?: React.ElementType | undefined;
    /**
     * @default 'badge'
     */
    bsPrefix?: string | undefined;
    /**
     * The visual style of the badge
     *
     * @type {'primary' | 'secondary' | 'success' | 'danger' | 'warning' | 'info' | 'light' | 'dark' | undefined}
     */
    bg?: Variant | undefined;
    /**
     * Make badges more rounded with some additional horizontal padding
     */
    pill?: boolean | undefined;
    /**
     * Sets badge text color
     *
     * @type {'primary' | 'secondary' | 'success' | 'danger' | 'warning' | 'info' | 'light' | 'dark' | 'white' | 'muted' | undefined}
     */
    text?: Color | undefined;
}
declare const Badge: DynamicRefForwardingComponent<'span', BadgeProps>;
export default Badge;
