import * as React from 'react';
import type { DynamicRefForwardingComponent } from '@restart/ui/types';
import { type FormGroupProps } from './FormGroup';
export interface FloatingLabelProps extends FormGroupProps {
    /**
     * Element used to render the component.
     */
    as?: React.ElementType | undefined;
    /**
     * @default 'form-floating'
     */
    bsPrefix?: string | undefined;
    /**
     * Sets `id` on `<FormControl>` and `htmlFor` on `<label>`.
     */
    controlId?: string | undefined;
    /**
     * Form control label.
     */
    label: React.ReactNode;
}
declare const FloatingLabel: DynamicRefForwardingComponent<'div', FloatingLabelProps>;
export default FloatingLabel;
