import * as React from 'react';
import type { DynamicRefForwardingComponent } from '@restart/ui/types';
import { type FormCheckInputProps } from './FormCheckInput';
export interface InputGroupProps extends React.HTMLAttributes<HTMLElement> {
    /**
     * Element used to render the component.
     */
    as?: React.ElementType | undefined;
    /**
     * @default 'input-group'
     */
    bsPrefix?: string | undefined;
    /**
     * Control the size of buttons and form elements from the top-level.
     */
    size?: 'sm' | 'lg' | undefined;
    /**
     * Handles the input's rounded corners when using form validation.
     *
     * Use this when your input group contains both an input and feedback element.
     */
    hasValidation?: boolean | undefined;
}
declare const _default: DynamicRefForwardingComponent<"div", InputGroupProps> & {
    Text: DynamicRefForwardingComponent<"span", import("./InputGroupText").InputGroupTextProps>;
    Radio: (props: FormCheckInputProps) => import("react/jsx-runtime").JSX.Element;
    Checkbox: (props: FormCheckInputProps) => import("react/jsx-runtime").JSX.Element;
};
export default _default;
