import * as React from 'react';
import type { DynamicRefForwardingComponent, EventKey } from '@restart/ui/types';
import type { BaseNavProps } from './types';
export interface ListGroupProps extends BaseNavProps {
    /**
     * Element used to render the component.
     *
     * @default 'div'
     */
    as?: React.ElementType | undefined;
    /**
     * @default 'list-group'
     */
    bsPrefix?: string | undefined;
    /**
     * Adds a variant to the list-group
     */
    variant?: 'flush' | string | undefined;
    /**
     * Changes the flow of the list group items from vertical to horizontal.
     * A value of `null` (the default) sets it to vertical for all breakpoints;
     * Just including the prop sets it for all breakpoints, while `{sm|md|lg|xl|xxl}`
     * makes the list group horizontal starting at that breakpoint’s `min-width`.
     */
    horizontal?: boolean | string | 'sm' | 'md' | 'lg' | 'xl' | 'xxl' | undefined;
    /**
     * The default active key of the list group.
     */
    defaultActiveKey?: EventKey | undefined;
    /**
     * Generate numbered list items.
     */
    numbered?: boolean | undefined;
}
declare const _default: DynamicRefForwardingComponent<"div", ListGroupProps> & {
    Item: DynamicRefForwardingComponent<"a", import("./ListGroupItem").ListGroupItemProps>;
};
export default _default;
